/*
Navicat MySQL Data Transfer

Source Server         : 47.106.69.239
Source Server Version : 50556
Source Host           : 47.106.69.239:3306
Source Database       : jiwei

Target Server Type    : MYSQL
Target Server Version : 50556
File Encoding         : 65001

Date: 2021-03-16 15:46:17
*/
SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for collectors
-- ----------------------------
DROP TABLE IF EXISTS `collectors`;
CREATE TABLE `collectors` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(155) DEFAULT NULL,
  `type` enum('File','Date') NOT NULL DEFAULT 'File' COMMENT '1 FILE 2 DATE',
  `topic` varchar(55) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `logagent_id` int(10) unsigned NOT NULL,
  `topic_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `agent_collector` (`logagent_id`),
  KEY `topic_collector` (`topic_id`),
  CONSTRAINT `topic_collector` FOREIGN KEY (`topic_id`) REFERENCES `topics` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `agent_collector` FOREIGN KEY (`logagent_id`) REFERENCES `logagents` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for logagents
-- ----------------------------
DROP TABLE IF EXISTS `logagents`;
CREATE TABLE `logagents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `node_name` varchar(55) DEFAULT NULL,
  `label` varchar(55) DEFAULT NULL,
  `status` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for plugins
-- ----------------------------
DROP TABLE IF EXISTS `plugins`;
CREATE TABLE `plugins` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(55) DEFAULT NULL,
  `label` varchar(55) DEFAULT NULL,
  `is_default` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `need_params` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '0 不必须参数 1 必须 2 以上为数量',
  PRIMARY KEY (`id`),
  KEY `deafult_index` (`is_default`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4;

INSERT INTO `ccenter`.`plugins` (`id`, `name`, `label`, `is_default`, `created_at`, `updated_at`, `need_params`) VALUES (1, 'Dump', '打印输出', 0, '2021-07-15 18:05:10', '2021-11-26 11:34:22', 0);
INSERT INTO `ccenter`.`plugins` (`id`, `name`, `label`, `is_default`, `created_at`, `updated_at`, `need_params`) VALUES (2, 'SaveES', '持久化分析', 0, '2021-07-15 18:05:13', '2021-12-10 17:55:25', 1);
INSERT INTO `ccenter`.`plugins` (`id`, `name`, `label`, `is_default`, `created_at`, `updated_at`, `need_params`) VALUES (3, 'Edit', '格式化', 0, '2021-07-15 18:05:15', '2021-12-10 17:55:26', 1);
INSERT INTO `ccenter`.`plugins` (`id`, `name`, `label`, `is_default`, `created_at`, `updated_at`, `need_params`) VALUES (4, 'Alarm', '阈值报警', 0, '2021-07-15 18:05:19', '2021-12-10 17:55:16', 1);
INSERT INTO `ccenter`.`plugins` (`id`, `name`, `label`, `is_default`, `created_at`, `updated_at`, `need_params`) VALUES (5, 'DingRobot', '钉钉通知', 0, '2021-07-15 18:05:22', '2023-01-28 17:55:37', 1);

-- ----------------------------
-- Table structure for topic_plugins
-- ----------------------------
DROP TABLE IF EXISTS `topic_plugins`;
CREATE TABLE `topic_plugins` (
  `topic_id` int(10) unsigned NOT NULL,
  `plugin_id` int(10) unsigned NOT NULL,
  `sort_num` smallint(3) unsigned DEFAULT NULL,
  `params` varchar(255) DEFAULT '' COMMENT '插件函数需要的参数',
  PRIMARY KEY (`plugin_id`,`topic_id`),
  KEY `topic_index` (`topic_id`),
  KEY `plugin_index` (`plugin_id`) USING BTREE,
  CONSTRAINT `plugin_index` FOREIGN KEY (`plugin_id`) REFERENCES `plugins` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `topic_index` FOREIGN KEY (`topic_id`) REFERENCES `topics` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for topics
-- ----------------------------
DROP TABLE IF EXISTS `topics`;
CREATE TABLE `topics` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(155) DEFAULT NULL,
  `label` varchar(155) DEFAULT NULL,
  `transfer_format` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '0 默认 1 json 2 Key:word',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4;
